For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check In Schedules

Returns the check in schedule active for the device. This can be either device or group check in schedule

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

deviceIdstringRequired

Device Id

Responses
200

OK

ScheduleIdstring · nullableOptional

A unique identifier of the schedule

Namestring · nullableOptional

A string with name of the check in schedule

BufferPeriodinteger · int32Optional

Whole number specifying time interval for check in message in minutes

Typestring · enumOptionalPossible values:
SelectedTimesstring · date-span[] · nullableOptional

Array of ISO 8601 values with times

Intervalstring · date-span · nullableOptional

String containing the ISO 8601 value for interval

StartTimestring · date-span · nullableOptional

String containing the ISO 8601 value for start time

EndTimestring · date-span · nullableOptional

String containing the ISO 8601 value for end time. For example PT22H30M represents 22:30

TimeZoneIdstring · nullableOptional

The name of time zone used for this schedule

Timestampstring · date-time · nullableOptional

Timestamp (UTC) indicating version of record being returned

get/V2/{tenantVarCode}/devices/{deviceId}/checkinschedule
GET /V2/{tenantVarCode}/devices/{deviceId}/checkinschedule HTTP/1.1
Accept: */*
200

OK

{
  "ScheduleId": "text",
  "Name": "text",
  "BufferPeriod": 1,
  "Type": "Intervals",
  "SelectedTimes": [
    "text"
  ],
  "Interval": "text",
  "StartTime": "text",
  "EndTime": "text",
  "TimeZoneId": "text",
  "SelectedDaysOfWeek": [
    "Sunday"
  ],
  "Timestamp": "2026-01-01T00:00:00.000Z"
}

Returns a list of check in schedules for the tenant

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

Responses
200

OK

ScheduleIdstring · nullableOptional

A unique identifier of the schedule

Namestring · nullableOptional

A string with name of the check in schedule

BufferPeriodinteger · int32Optional

Whole number specifying time interval for check in message in minutes

Typestring · enumOptionalPossible values:
SelectedTimesstring · date-span[] · nullableOptional

Array of ISO 8601 values with times

Intervalstring · date-span · nullableOptional

String containing the ISO 8601 value for interval

StartTimestring · date-span · nullableOptional

String containing the ISO 8601 value for start time

EndTimestring · date-span · nullableOptional

String containing the ISO 8601 value for end time. For example PT22H30M represents 22:30

TimeZoneIdstring · nullableOptional

The name of time zone used for this schedule

Timestampstring · date-time · nullableOptional

Timestamp (UTC) indicating version of record being returned

get/V2/{tenantVarCode}/checkinschedules
GET /V2/{tenantVarCode}/checkinschedules HTTP/1.1
Accept: */*
200

OK

[
  {
    "ScheduleId": "text",
    "Name": "text",
    "BufferPeriod": 1,
    "Type": "Intervals",
    "SelectedTimes": [
      "text"
    ],
    "Interval": "text",
    "StartTime": "text",
    "EndTime": "text",
    "TimeZoneId": "text",
    "SelectedDaysOfWeek": [
      "Sunday"
    ],
    "Timestamp": "2026-01-01T00:00:00.000Z"
  }
]

Returns check in schedule

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

scheduleIdstringRequired

Schedule Id

Responses
200

OK

ScheduleIdstring · nullableOptional

A unique identifier of the schedule

Namestring · nullableOptional

A string with name of the check in schedule

BufferPeriodinteger · int32Optional

Whole number specifying time interval for check in message in minutes

Typestring · enumOptionalPossible values:
SelectedTimesstring · date-span[] · nullableOptional

Array of ISO 8601 values with times

Intervalstring · date-span · nullableOptional

String containing the ISO 8601 value for interval

StartTimestring · date-span · nullableOptional

String containing the ISO 8601 value for start time

EndTimestring · date-span · nullableOptional

String containing the ISO 8601 value for end time. For example PT22H30M represents 22:30

TimeZoneIdstring · nullableOptional

The name of time zone used for this schedule

Timestampstring · date-time · nullableOptional

Timestamp (UTC) indicating version of record being returned

get/V2/{tenantVarCode}/checkinschedules/{scheduleId}
GET /V2/{tenantVarCode}/checkinschedules/{scheduleId} HTTP/1.1
Accept: */*
200

OK

[
  {
    "ScheduleId": "text",
    "Name": "text",
    "BufferPeriod": 1,
    "Type": "Intervals",
    "SelectedTimes": [
      "text"
    ],
    "Interval": "text",
    "StartTime": "text",
    "EndTime": "text",
    "TimeZoneId": "text",
    "SelectedDaysOfWeek": [
      "Sunday"
    ],
    "Timestamp": "2026-01-01T00:00:00.000Z"
  }
]

Last updated